import { Host, h } from "@stencil/core";
import classNames from "classnames";
export class TaskButtonGroup {
    constructor() {
        this.alignText = "center";
        this.fill = false;
        this.large = false;
        this.minimal = false;
        this.vertical = false;
    }
    render() {
        return (h(Host, { key: 'c6ff72bb63bcc95083369fc4abee58cb01030dbc', class: classNames("button-group") }, h("slot", { key: 'f5f873233feb3810ccbf5751446680500d2c775b' })));
    }
    static get is() { return "task-button-group"; }
    static get originalStyleUrls() {
        return {
            "$": ["task-button-group.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["task-button-group.css"]
        };
    }
    static get properties() {
        return {
            "alignText": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "align-text",
                "reflect": false,
                "defaultValue": "\"center\""
            },
            "fill": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "fill",
                "reflect": false,
                "defaultValue": "false"
            },
            "large": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "large",
                "reflect": false,
                "defaultValue": "false"
            },
            "minimal": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "minimal",
                "reflect": false,
                "defaultValue": "false"
            },
            "vertical": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "vertical",
                "reflect": false,
                "defaultValue": "false"
            }
        };
    }
}
//# sourceMappingURL=task-button-group.js.map
