import { Host, h } from "@stencil/core";
export class TaskInputOption {
    constructor() {
        this.value = undefined;
        this.tooltip = undefined;
        this.keyboardShortcut = undefined;
        this.keyboardShortcutLabel = undefined;
    }
    render() {
        return (h(Host, { key: '3c20abb2c62d3c6c6896d43f6a416e71ba1093f4' }));
    }
    static get is() { return "task-input-option"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["task-input-option.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["task-input-option.css"]
        };
    }
    static get properties() {
        return {
            "value": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "value",
                "reflect": false
            },
            "tooltip": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "tooltip",
                "reflect": false
            },
            "keyboardShortcut": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "keyboard-shortcut",
                "reflect": false
            },
            "keyboardShortcutLabel": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "keyboard-shortcut-label",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=task-input-option.js.map
