import { h } from "@stencil/core";
export class TaskLink {
    constructor() {
        this.href = undefined;
        this.type = "link";
        this.customStyle = undefined;
    }
    render() {
        // TODO: Validate how the style is passed through and if the parse is appropriate
        return (h("a", { key: '32f1e6dc0f9f1f28077d35e077b47a725241213e', class: this.type, style: this.customStyle ? JSON.parse(this.customStyle) : null, target: "_blank", href: this.href }, h("slot", { key: '8b849a3f8ab989b70484bb171d2d7ed63521672f' })));
    }
    static get is() { return "task-link"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["task-link.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["task-link.css"]
        };
    }
    static get properties() {
        return {
            "href": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "href",
                "reflect": false
            },
            "type": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "type",
                "reflect": false,
                "defaultValue": "\"link\""
            },
            "customStyle": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "custom-style",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=task-link.js.map
