import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const taskAnswerCss = ".sc-task-answer-h{display:none}";
const TaskAnswerStyle0 = taskAnswerCss;

const TaskAnswer$1 = /*@__PURE__*/ proxyCustomElement(class TaskAnswer extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.value = undefined;
        this.showAnswer = false;
    }
    render() {
        return (h(Host, { key: '72f010ebdf7afc42e6780a0f75ad994602d83b2e' }, h("slot", { key: 'cc9b989f50b8b9ebeebcef601df4e93392d2a55f' })));
    }
    static get style() { return TaskAnswerStyle0; }
}, [6, "task-answer", {
        "value": [1],
        "showAnswer": [4, "show-answer"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["task-answer"];
    components.forEach(tagName => { switch (tagName) {
        case "task-answer":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TaskAnswer$1);
            }
            break;
    } });
}

const TaskAnswer = TaskAnswer$1;
const defineCustomElement = defineCustomElement$1;

export { TaskAnswer, defineCustomElement };

//# sourceMappingURL=task-answer.js.map