import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const taskClickToViewCss = ".sc-task-click-to-view-h{display:block}";
const TaskClickToViewStyle0 = taskClickToViewCss;

const TaskClickToView$1 = /*@__PURE__*/ proxyCustomElement(class TaskClickToView extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.visible = false;
    }
    render() {
        return (h(Host, { key: '0ebe3f2fafd945d84f8a960b925dec7241acd1cb' }, h("div", { key: '9745c51c2c4d0ab473d6a7f8decc3cde2bf0b299', style: { display: this.visible ? "none" : "block" }, onClick: () => this.visible = true }, h("slot", { key: 'fdef316b5ac288cffa0e62801f1ec4ff537be36c', name: "trigger" })), h("div", { key: '431f9da296ab016c9df5e4fe5b7c50dbbd509266', style: { display: this.visible ? "block" : "none" } }, h("slot", { key: '62cac4220505bed347ee78fae43a69d25fa87586', name: "content" }))));
    }
    static get style() { return TaskClickToViewStyle0; }
}, [6, "task-click-to-view", {
        "visible": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["task-click-to-view"];
    components.forEach(tagName => { switch (tagName) {
        case "task-click-to-view":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TaskClickToView$1);
            }
            break;
    } });
}

const TaskClickToView = TaskClickToView$1;
const defineCustomElement = defineCustomElement$1;

export { TaskClickToView, defineCustomElement };

//# sourceMappingURL=task-click-to-view.js.map