import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const taskKeyboardShortcutCss = ".sc-task-keyboard-shortcut-h{display:none}";
const TaskKeyboardShortcutStyle0 = taskKeyboardShortcutCss;

const TaskKeyboardShortcut$1 = /*@__PURE__*/ proxyCustomElement(class TaskKeyboardShortcut extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.keyboardShortcut = undefined;
    }
    render() {
        return (h(Host, { key: 'd7009a8c2528236ba84c381f8ec48ab24236b907' }));
    }
    static get style() { return TaskKeyboardShortcutStyle0; }
}, [2, "task-keyboard-shortcut", {
        "keyboardShortcut": [1, "keyboard-shortcut"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["task-keyboard-shortcut"];
    components.forEach(tagName => { switch (tagName) {
        case "task-keyboard-shortcut":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TaskKeyboardShortcut$1);
            }
            break;
    } });
}

const TaskKeyboardShortcut = TaskKeyboardShortcut$1;
const defineCustomElement = defineCustomElement$1;

export { TaskKeyboardShortcut, defineCustomElement };

//# sourceMappingURL=task-keyboard-shortcut.js.map