import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const taskMainCss = ".sc-task-main-h{-ms-flex:1 1 auto;flex:1 1 auto;display:-ms-flexbox;display:flex;-ms-flex-direction:column;flex-direction:column;-ms-flex-wrap:nowrap;flex-wrap:nowrap;height:100%}.header.sc-task-main{padding:6px;-ms-flex:0 0 auto;flex:0 0 auto}.main.sc-task-main{padding:6px;-ms-flex:1 1 auto;flex:1 1 auto;overflow-y:auto}";
const TaskMainStyle0 = taskMainCss;

const TaskMain$1 = /*@__PURE__*/ proxyCustomElement(class TaskMain extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h(Host, { key: '75934b02fb93c6ca02f29b306018c181d6438d18' }, h("div", { key: 'dd136b84d67d0245874e3db3f864a90f68f7c8d9', class: "header" }, h("slot", { key: '9a2f53aad2272e14969b78ea4357ff83e5b8b64c', name: "header" })), h("div", { key: 'af5e03ce177b8e63c227939734f29edc6c6fa2da', class: "main" }, h("slot", { key: 'f76b5a72e03c3ebe9f8a112a1934673269f275e1' }))));
    }
    static get style() { return TaskMainStyle0; }
}, [6, "task-main"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["task-main"];
    components.forEach(tagName => { switch (tagName) {
        case "task-main":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TaskMain$1);
            }
            break;
    } });
}

const TaskMain = TaskMain$1;
const defineCustomElement = defineCustomElement$1;

export { TaskMain, defineCustomElement };

//# sourceMappingURL=task-main.js.map