import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const taskSummaryCss = ".sc-task-summary-h{display:block;padding-top:0.25rem;padding-bottom:1rem}";
const TaskSummaryStyle0 = taskSummaryCss;

const TaskSummary$1 = /*@__PURE__*/ proxyCustomElement(class TaskSummary extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h(Host, { key: 'efc670892d64e9f1157aa05bb683e3a96212ae03' }, h("slot", { key: '52e22f3d2fc9070496ec36b822e2ea0d5f9d1787' })));
    }
    static get style() { return TaskSummaryStyle0; }
}, [6, "task-summary"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["task-summary"];
    components.forEach(tagName => { switch (tagName) {
        case "task-summary":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TaskSummary$1);
            }
            break;
    } });
}

const TaskSummary = TaskSummary$1;
const defineCustomElement = defineCustomElement$1;

export { TaskSummary, defineCustomElement };

//# sourceMappingURL=task-summary.js.map