import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const taskTelemetryAttributeCss = ":host{display:none}";
const TaskTelemetryAttributeStyle0 = taskTelemetryAttributeCss;

const TaskTelemetryAttribute$1 = /*@__PURE__*/ proxyCustomElement(class TaskTelemetryAttribute extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.name = undefined;
        this.value = undefined;
    }
    render() {
        return (h(Host, { key: 'c6fb22b72fe7076684a4f84f9d2cbed193c69c8a' }, h("slot", { key: '247421082a1ce4e2d4f0aef4c02848ab4cbe7d37' })));
    }
    static get style() { return TaskTelemetryAttributeStyle0; }
}, [1, "task-telemetry-attribute", {
        "name": [1],
        "value": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["task-telemetry-attribute"];
    components.forEach(tagName => { switch (tagName) {
        case "task-telemetry-attribute":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TaskTelemetryAttribute$1);
            }
            break;
    } });
}

const TaskTelemetryAttribute = TaskTelemetryAttribute$1;
const defineCustomElement = defineCustomElement$1;

export { TaskTelemetryAttribute, defineCustomElement };

//# sourceMappingURL=task-telemetry-attribute.js.map