import { r as registerInstance, h, H as Host, g as getElement } from './index-d23ea3f6.js';

const taskCopyableCss = ":host{display:inline}";
const TaskCopyableStyle0 = taskCopyableCss;

const TaskCopyable = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    handleClick() {
        navigator.clipboard.writeText(this.host.innerText).then();
    }
    render() {
        return (h(Host, { key: '11b401c9ea39b77b5669fe3a45b6778b098d30d3' }, h("slot", { key: '33c211e755042f0eb494cbe55e6d126922ba6f8f' }), h("task-button", { key: '5ca549ab45165597778e61fb2a2b52f8ffd53277', icon: "duplicate", minimal: true, small: true, "icon-size": 12, onClick: () => this.handleClick() })));
    }
    get host() { return getElement(this); }
};
TaskCopyable.style = TaskCopyableStyle0;

export { TaskCopyable as task_copyable };

//# sourceMappingURL=task-copyable.entry.js.map