import { EventEmitter } from '../../stencil-public-runtime';
import { TaskCard } from '../task-card/task-card';
import { KeyboardShortcut } from '../../utils/utils';
export declare class TaskCardList {
    backKeyboardShortcut: string;
    forwardKeyboardShortcut: string;
    advanceWhenComplete: boolean;
    host: HTMLDivElement;
    cards: Element[];
    active: number;
    registerKeyboardShortcut: EventEmitter<KeyboardShortcut>;
    componentWillLoad(): void;
    scrollIntoView(cardIndex: number): void;
    keypressHandler(event: KeyboardEvent): void;
    cardClickedHandler(event: CustomEvent<TaskCard>): void;
    cardReadyToSubmitHandler(event: CustomEvent<boolean>): void;
    render(): any;
}
