type ZoomLocation = {
    x: number;
    y: number;
    boxLeft: number;
    boxTop: number;
    originX: number;
    originY: number;
    left: number;
    top: number;
    ratioX: number;
    ratioY: number;
};
export declare class TaskImage {
    src: string;
    width: string;
    height: string;
    cropTop: number;
    cropLeft: number;
    cropWidth: number;
    cropHeight: number;
    cropCoordinates: string;
    hoverZoom: boolean;
    zoomSize: string;
    zoomPercentage: number;
    host: HTMLElement;
    zBoxSize: number;
    image: HTMLImageElement;
    scalar: number;
    calculatedWidth: number;
    calculatedHeight: number;
    boxes: HTMLTaskImageBoxElement[];
    crop: number[];
    mouseover: boolean;
    zoomLocation: ZoomLocation;
    canvasElement: HTMLCanvasElement;
    zoomCanvas: HTMLCanvasElement;
    ctx: CanvasRenderingContext2D;
    componentWillLoad(): void;
    getContext(): CanvasRenderingContext2D;
    renderCanvas(): void;
    handleResize(): void;
    bound(value: number, min: number, max: number): number;
    handleMouseMove(event: any): void;
    handleMouseOver(): void;
    handleMouseOut(): void;
    render(): any;
}
export {};
