import { EventEmitter } from '../../stencil-public-runtime';
import { CallbackFunction, KeyboardShortcut } from '../../utils/utils';
export declare class TaskSubmit {
    keyboardShortcut: string;
    disabled: boolean;
    disableUntilComplete: boolean;
    label: string;
    registerKeyboardShortcut: EventEmitter<KeyboardShortcut>;
    showCorrections: EventEmitter;
    taskSubmit: EventEmitter;
    correctionMode: boolean;
    readyToSubmit: boolean;
    host: HTMLElement;
    button: HTMLButtonElement;
    form: HTMLFormElement;
    formUpdatedCallback: CallbackFunction;
    loadCallback: CallbackFunction;
    componentWillLoad(): void;
    connectedCallback(): void;
    setupFormListener(): void;
    disconnectedCallback(): void;
    keypressHandler(event: KeyboardEvent): void;
    refreshSubmitReady(): Promise<void>;
    handleValidationResult(values: boolean[]): void;
    handleSubmit(event: Event): void;
    setShowCorrections(value: boolean): Promise<void>;
    render(): any;
}
