type Mode = 'working' | 'requester-preview' | 'worker-preview' | 'example';
type Site = 'mturk' | 'requester' | 'private-worker' | 'open-event';
export declare class Context {
    params: URLSearchParams;
    site: Site;
    mode: Mode;
    context: string;
    domain: string;
    endpoint: string;
    submitEventType: string;
    assignmentId: string;
    hitId: string;
    workerId: string;
    constructor(location?: Location);
    updateFromContextMessage(message: any): void;
    loadSite(site?: Site): void;
    loadMode(mode?: Mode): void;
}
export declare const context: Context;
export {};
