'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-4e4a0217.js');

const taskIterateCss = ".sc-task-iterate-h{display:inline-block}.child-container.sc-task-iterate{display:inline-block}";
const TaskIterateStyle0 = taskIterateCss;

const TaskIterate = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.values = undefined;
    }
    parsedValues() {
        try {
            return JSON.parse(this.values);
        }
        catch (Exception) {
            const values = this.values.replace("[", "").replace("]", "");
            return values.split(",").map(v => v.trim());
        }
    }
    componentWillLoad() {
        this.valueList = this.parsedValues();
        this.elementChildren = this.host.children;
        if (this.elementChildren.length == 1 && "sc-task-iterate" in this.elementChildren.item(0).classList) {
            this.elementChildren = this.elementChildren.item(0).children;
        }
        this.innerHTML = this.host.innerHTML;
    }
    renderChild(value, index$1) {
        return index.h("div", { key: `iter${index$1}`, "data-iterator": value, innerHTML: this.innerHTML, class: "child-container" });
    }
    render() {
        return (index.h(index.Host, { key: '27c983ffcd78000786d26a4498897687d5e6b8b8' }, this.valueList.map((value, index) => this.renderChild(value, index)), index.h("div", { key: 'b11d400cdcaffdb32c90591f5aa65e57c8bd83bb', style: { display: "none" } }, index.h("slot", { key: '6dfd290ce9ea8df3e0a1551132ea593626c8b55c' }))));
    }
    get host() { return index.getElement(this); }
};
TaskIterate.style = TaskIterateStyle0;

exports.task_iterate = TaskIterate;

//# sourceMappingURL=task-iterate.cjs.entry.js.map