import { Host, h } from "@stencil/core";
export class TaskCallout {
    constructor() {
        this.intent = undefined;
    }
    render() {
        return (h(Host, { key: 'fe1766260518a4e441e3d3a414924af05b1c86fc', class: this.intent ? "intent-" + this.intent : null }, h("slot", { key: '958677ce22b112ab7f9c66aae0a313a222436556' })));
    }
    static get is() { return "task-callout"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["task-callout.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["task-callout.css"]
        };
    }
    static get properties() {
        return {
            "intent": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "intent",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=task-callout.js.map
