import { Host, h } from "@stencil/core";
export class TaskCopyable {
    handleClick() {
        navigator.clipboard.writeText(this.host.innerText).then();
    }
    render() {
        return (h(Host, { key: '11b401c9ea39b77b5669fe3a45b6778b098d30d3' }, h("slot", { key: '33c211e755042f0eb494cbe55e6d126922ba6f8f' }), h("task-button", { key: '5ca549ab45165597778e61fb2a2b52f8ffd53277', icon: "duplicate", minimal: true, small: true, "icon-size": 12, onClick: () => this.handleClick() })));
    }
    static get is() { return "task-copyable"; }
    static get originalStyleUrls() {
        return {
            "$": ["task-copyable.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["task-copyable.css"]
        };
    }
    static get elementRef() { return "host"; }
}
//# sourceMappingURL=task-copyable.js.map
