import { Host, h } from "@stencil/core";
export class TaskInfoPane {
    constructor() {
        this.width = undefined;
    }
    hostStyle() {
        if (this.width) {
            return { flex: `0 0 ${this.width}px` };
        }
        else {
            return {};
        }
    }
    render() {
        return (h(Host, { key: '09488647246b90dc2308925c43cedc83a4a69a97', style: this.hostStyle() }, h("slot", { key: 'd47730a267a8daba7e8e17396789950bf3200ebb' })));
    }
    static get is() { return "task-info-pane"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["task-info-pane.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["task-info-pane.css"]
        };
    }
    static get properties() {
        return {
            "width": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "width",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=task-info-pane.js.map
