import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const taskColumnsCss = ".sc-task-columns-h{display:-ms-flexbox;display:flex;-ms-flex-direction:row;flex-direction:row;width:100%;-ms-flex-wrap:nowrap;flex-wrap:nowrap}";
const TaskColumnsStyle0 = taskColumnsCss;

const TaskColumns$1 = /*@__PURE__*/ proxyCustomElement(class TaskColumns extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h(Host, { key: '6ec399a8f45130338e9bc0a733e596442652375b' }, h("slot", { key: 'b64358adcfdcf90c3530bfc4057981a20eacf243' })));
    }
    static get style() { return TaskColumnsStyle0; }
}, [6, "task-columns"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["task-columns"];
    components.forEach(tagName => { switch (tagName) {
        case "task-columns":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TaskColumns$1);
            }
            break;
    } });
}

const TaskColumns = TaskColumns$1;
const defineCustomElement = defineCustomElement$1;

export { TaskColumns, defineCustomElement };

//# sourceMappingURL=task-columns.js.map