import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const taskInfoPaneCss = ".sc-task-info-pane-h{display:block;padding:6px;-ms-flex:0 0 280px;flex:0 0 280px;overflow-y:auto}";
const TaskInfoPaneStyle0 = taskInfoPaneCss;

const TaskInfoPane$1 = /*@__PURE__*/ proxyCustomElement(class TaskInfoPane extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.width = undefined;
    }
    hostStyle() {
        if (this.width) {
            return { flex: `0 0 ${this.width}px` };
        }
        else {
            return {};
        }
    }
    render() {
        return (h(Host, { key: '09488647246b90dc2308925c43cedc83a4a69a97', style: this.hostStyle() }, h("slot", { key: 'd47730a267a8daba7e8e17396789950bf3200ebb' })));
    }
    static get style() { return TaskInfoPaneStyle0; }
}, [6, "task-info-pane", {
        "width": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["task-info-pane"];
    components.forEach(tagName => { switch (tagName) {
        case "task-info-pane":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TaskInfoPane$1);
            }
            break;
    } });
}

const TaskInfoPane = TaskInfoPane$1;
const defineCustomElement = defineCustomElement$1;

export { TaskInfoPane, defineCustomElement };

//# sourceMappingURL=task-info-pane.js.map