import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const taskInfoSectionCss = ".sc-task-info-section-h{display:block;margin-bottom:0;border-bottom:2px solid black;padding:16px 0}.sc-task-info-section-h:last-of-type{margin-bottom:0;border-bottom:none}.sc-task-info-section-h p.sc-task-info-section{line-height:1.4rem}.header.sc-task-info-section{font-weight:bold;font-size:medium;margin-bottom:0.5rem}";
const TaskInfoSectionStyle0 = taskInfoSectionCss;

const TaskInfoSection$1 = /*@__PURE__*/ proxyCustomElement(class TaskInfoSection extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.header = undefined;
    }
    render() {
        return (h(Host, { key: 'daa2fa98908d302383a22d0bc5c051336fa96ea4' }, this.header && h("div", { key: 'b286729d1bb135724c283a7e7faf1ee85f1c95be', class: "header" }, this.header), h("slot", { key: '4f4b80d54c61cbae8b36afb1fb444a845248772b' })));
    }
    static get style() { return TaskInfoSectionStyle0; }
}, [6, "task-info-section", {
        "header": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["task-info-section"];
    components.forEach(tagName => { switch (tagName) {
        case "task-info-section":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TaskInfoSection$1);
            }
            break;
    } });
}

const TaskInfoSection = TaskInfoSection$1;
const defineCustomElement = defineCustomElement$1;

export { TaskInfoSection, defineCustomElement };

//# sourceMappingURL=task-info-section.js.map