import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const taskInputOptionCss = ".sc-task-input-option-h{display:none}";
const TaskInputOptionStyle0 = taskInputOptionCss;

const TaskInputOption$1 = /*@__PURE__*/ proxyCustomElement(class TaskInputOption extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.value = undefined;
        this.tooltip = undefined;
        this.keyboardShortcut = undefined;
        this.keyboardShortcutLabel = undefined;
    }
    render() {
        return (h(Host, { key: '3c20abb2c62d3c6c6896d43f6a416e71ba1093f4' }));
    }
    static get style() { return TaskInputOptionStyle0; }
}, [2, "task-input-option", {
        "value": [1],
        "tooltip": [1],
        "keyboardShortcut": [1, "keyboard-shortcut"],
        "keyboardShortcutLabel": [1, "keyboard-shortcut-label"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["task-input-option"];
    components.forEach(tagName => { switch (tagName) {
        case "task-input-option":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TaskInputOption$1);
            }
            break;
    } });
}

const TaskInputOption = TaskInputOption$1;
const defineCustomElement = defineCustomElement$1;

export { TaskInputOption, defineCustomElement };

//# sourceMappingURL=task-input-option.js.map