import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const taskLabelCss = ".sc-task-label-h{display:block}.sc-task-label-h label.sc-task-label{display:block;margin-bottom:10px;margin-top:0}label.sc-task-label .html-select.sc-task-label,label.sc-task-label .input.sc-task-label,label.sc-task-label .select.sc-task-label{display:block;margin-top:5px;text-transform:none}label.sc-task-label .select.sc-task-label select.sc-task-label,label.sc-task-label .html-select.sc-task-label select.sc-task-label{font-weight:400;vertical-align:top;width:100%}label.disabled.sc-task-label{color:rgba(95, 107, 124, 0.6)}label.label.inline.sc-task-label{line-height:30px}label.inline.sc-task-label .input.sc-task-label,label.inline.sc-task-label .select.sc-task-label{display:inline-block;margin:0 0 0 5px;vertical-align:top}";
const TaskLabelStyle0 = taskLabelCss;

const TaskLabel = /*@__PURE__*/ proxyCustomElement(class TaskLabel extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h(Host, { key: 'e0e6239d02c312da2595a1e371326663515a0723' }, h("label", { key: '9dbe189c6cfb1dd111c3517b7f22f63b9e3b952e' }, h("slot", { key: '41f02d9e68424a368cb32dd8d9f2cf8233cb7c79' }))));
    }
    static get style() { return TaskLabelStyle0; }
}, [6, "task-label"]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["task-label"];
    components.forEach(tagName => { switch (tagName) {
        case "task-label":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TaskLabel);
            }
            break;
    } });
}

export { TaskLabel as T, defineCustomElement as d };

//# sourceMappingURL=task-label2.js.map