import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const taskRowCss = ".sc-task-row-h{display:-ms-flexbox;display:flex}div.sc-task-row{margin-right:1rem}";
const TaskRowStyle0 = taskRowCss;

const TaskRow$1 = /*@__PURE__*/ proxyCustomElement(class TaskRow extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h(Host, { key: '868c2f51e348eb04d92d3142869622a93e92195e' }, h("slot", { key: 'eea040a19d181a988b6821195cc58f9ff93746dc' })));
    }
    static get style() { return TaskRowStyle0; }
}, [6, "task-row"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["task-row"];
    components.forEach(tagName => { switch (tagName) {
        case "task-row":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TaskRow$1);
            }
            break;
    } });
}

const TaskRow = TaskRow$1;
const defineCustomElement = defineCustomElement$1;

export { TaskRow, defineCustomElement };

//# sourceMappingURL=task-row.js.map