import { KeyboardShortcut } from '../../utils/utils';
export declare class TaskBody {
    saveLocal: boolean;
    localId: string;
    showCorrections: boolean;
    host: any;
    formElement: HTMLFormElement;
    previous: any;
    componentWillLoad(): void;
    componentDidLoad(): void;
    hideUnnecessaryCrowdFormSubmit(): void;
    localStorageId: () => string;
    handleInputUpdated(event: CustomEvent<HTMLFormElement>): void;
    writeFormData(form?: HTMLFormElement): void;
    handleShowCorrections(): void;
    handleShowCorrectionsUpdated(value: boolean): void;
    handleTaskSubmit(): void;
    cardReadyToSubmitHandler(): void;
    registerKeyboardShortcutHandler(event: CustomEvent<KeyboardShortcut>): void;
    render(): any;
}
