import { EventEmitter } from '../../stencil-public-runtime';
export declare class TaskButton {
    anchor: boolean;
    label: boolean;
    active: boolean;
    alignText: string;
    disabled: boolean;
    fill: boolean;
    large: boolean;
    small: boolean;
    loading: boolean;
    type: string;
    intent: string;
    selected: boolean;
    minimal: boolean;
    outlined: boolean;
    text: string;
    icon: string;
    iconSize: number;
    rightIcon: string;
    href: string;
    target: string;
    newWindow: boolean;
    tabindex: string;
    isActive: boolean;
    currentKeyPressed: string;
    click: EventEmitter;
    focus: EventEmitter;
    host: HTMLElement;
    button?: HTMLAnchorElement | HTMLButtonElement;
    handleBlur(): void;
    handleKeyDown(e: KeyboardEvent): void;
    handleKeyUp(e: KeyboardEvent): void;
    renderContents(): any;
    render(): any;
}
