import { EventEmitter } from '../../stencil-public-runtime';
export declare class TaskCard {
    active: boolean;
    width: string;
    displayIf: string;
    hidden: boolean;
    host: any;
    cardClicked: EventEmitter<TaskCard>;
    cardReadyToSubmit: EventEmitter<boolean>;
    inputUpdated: EventEmitter<HTMLElement>;
    form: HTMLFormElement;
    connectedCallback(): void;
    clickHandler(): void;
    handleActiveUpdate(newValue: boolean): void;
    handleInputUpdated(): void;
    readyToSubmit(): Promise<boolean>;
    hostStyle(): {
        width: string;
    } | {
        width?: undefined;
    };
    formUpdated(): void;
    render(): any;
}
