import { EventEmitter } from '../../stencil-public-runtime';
export declare class TaskStep {
    label: string;
    active: boolean;
    open: boolean;
    host: HTMLElement;
    cardReadyToSubmit: EventEmitter<boolean>;
    cardClicked: EventEmitter<HTMLElement>;
    componentWillLoad(): void;
    handleOpenToggle(): void;
    activeUpdated(newValue: any): void;
    handleInputUpdated(): void;
    readyToSubmit(): Promise<boolean>;
    render(): any;
}
