import { TaskAnswer } from '../components/task-answer/task-answer';
import { TaskAnswerCorrection } from '../components/task-answer-correction/task-answer-correction';
export declare function format(first: string, middle: string, last: string): string;
export declare function ignoreKeypress(): boolean;
export type KeyboardShortcut = {
    label: string;
    keys: string;
    value?: string;
};
export declare function gatherInputOptions(parent: HTMLElement): HTMLTaskInputOptionElement[];
export declare function inputOptionKeyboardShortcuts(options: HTMLTaskInputOptionElement[]): KeyboardShortcut[];
export declare function getAnswerElement(host: Element): TaskAnswer;
export declare function getAnswerCorrectionElement(host: Element): TaskAnswerCorrection;
export declare function getActiveElement(element?: HTMLElement | null, options?: GetRootNodeOptions): Element;
export declare function isFunction(value: any): value is Function;
export declare function isKeyboardClick(event: KeyboardEvent): boolean;
export declare function isArrowKey(event: KeyboardEvent): boolean;
export type CallbackFunction = (this: Window, ev: Event) => any;
export declare function mark(name: string): void;
export declare function getMarks(): PerformanceEntry[];
export declare function debounce(callback: any, wait?: number): (...args: any[]) => void;
